<template>
    <div>
        <input-currency v-model="form.monto_total" :options="form.inputCurrencyOptions" :class='""' :disabled="false"
            :required="true" :placeholder='"0,00"' :autocomplete='"off"' :id='"inputCurrencyId"' />
    </div>
</template>

<script setup lang="ts">
import { reactive } from "vue";
import { CurrencyInputOptions, CurrencyDisplay, NumberRange, ValueScaling } from "vue-currency-input";
import { InputCurrency } from "../../../src/index";

const form = reactive({
    monto_total: NaN as number,
    inputCurrencyOptions: {} as CurrencyInputOptions
    /*
    inputCurrencyOptions: {
        // Se puede ver la lista de opciones en https://dm4t2.github.io/vue-currency-input/config.html
        accountingSign: false as boolean,
        autoDecimalDigits: false as boolean,
        currency: "ARS" as string,
        currencyDisplay: CurrencyDisplay.hidden as CurrencyDisplay,
        hideCurrencySymbolOnFocus: true as boolean,
        hideGroupingSeparatorOnFocus: true as boolean,
        hideNegligibleDecimalDigitsOnFocus: true as boolean,
        locale: "es-AR" as string,
        precision: {
            min: 2 as number | undefined,
            max: 2 as number | undefined
        } as NumberRange,
        useGrouping: true as boolean,
        valueRange: {
            min: 0 as number | undefined,
            max: 9999.99 as number | undefined
        } as NumberRange,
        valueScaling: ValueScaling.precision as ValueScaling
    } as CurrencyInputOptions
    */
});
</script>

<style></style>
  